List vesting positions
curl --request GET \
--url https://api.launch.o1.exchange/v1/wallets/{address}/vesting \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/wallets/{address}/vesting"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/wallets/{address}/vesting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"kind": "<string>",
"suite": {
"id": "<string>",
"version": "<string>"
},
"vault_address": "<string>",
"token_address": "<string>",
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
},
"beneficiary": "<string>",
"total_raw": "<string>",
"vested_raw": "<string>",
"claimed_raw": "<string>",
"claimable_raw": "<string>",
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"schedule": [
{
"unlocks_at": "2023-11-07T05:31:56Z",
"cumulative_amount_raw": "<string>",
"cumulative_bps": 5000
}
],
"next_unlock_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"price_usd": 1
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 2
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>"
}Wallets
List vesting positions
Page through vesting positions for one beneficiary.
GET
/
wallets
/
{address}
/
vesting
List vesting positions
Authorizations
Production API key beginning with o1_launch_.
Path Parameters
Wallet address.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Production chain to query.
Available options:
8453, 4663 Example:
8453
Launch market to include.
Available options:
standard, rwa, all Opaque continuation cursor returned by the previous page. Do not parse or modify it.
Maximum string length:
4096Maximum number of claim positions to return.
Required range:
1 <= x <= 50Vesting-position state.
Available options:
claimable, locked, complete, all Filter vesting positions by launch token.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Set to schedule to include complete vesting schedules.
Available options:
schedule ⌘I
